package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussPlatformData implements Serializable {
    private Integer id;

    private BigDecimal transamt;

    private BigDecimal aliamt;

    private BigDecimal wxamt;

    private BigDecimal ysfamt;

    private Integer transnum;

    private Integer alinum;

    private Integer wxnum;

    private Integer ysfnum;

    private BigDecimal refundamt;

    private BigDecimal alirefundamt;

    private BigDecimal wxrefundamt;

    private BigDecimal ysfrefundamt;

    private Integer storenum;

    private Integer membernum;

    private Integer promoternum;

    private BigDecimal profitamt;

    private BigDecimal shareamt;

    private BigDecimal fansamt;

    private BigDecimal actualamt;

    private String operatdate;

    private Date createtime;

    private String operatemonth;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getTransamt() {
        return transamt;
    }

    public void setTransamt(BigDecimal transamt) {
        this.transamt = transamt;
    }

    public BigDecimal getAliamt() {
        return aliamt;
    }

    public void setAliamt(BigDecimal aliamt) {
        this.aliamt = aliamt;
    }

    public BigDecimal getWxamt() {
        return wxamt;
    }

    public void setWxamt(BigDecimal wxamt) {
        this.wxamt = wxamt;
    }

    public BigDecimal getYsfamt() {
        return ysfamt;
    }

    public void setYsfamt(BigDecimal ysfamt) {
        this.ysfamt = ysfamt;
    }

    public Integer getTransnum() {
        return transnum;
    }

    public void setTransnum(Integer transnum) {
        this.transnum = transnum;
    }

    public Integer getAlinum() {
        return alinum;
    }

    public void setAlinum(Integer alinum) {
        this.alinum = alinum;
    }

    public Integer getWxnum() {
        return wxnum;
    }

    public void setWxnum(Integer wxnum) {
        this.wxnum = wxnum;
    }

    public Integer getYsfnum() {
        return ysfnum;
    }

    public void setYsfnum(Integer ysfnum) {
        this.ysfnum = ysfnum;
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public BigDecimal getAlirefundamt() {
        return alirefundamt;
    }

    public void setAlirefundamt(BigDecimal alirefundamt) {
        this.alirefundamt = alirefundamt;
    }

    public BigDecimal getWxrefundamt() {
        return wxrefundamt;
    }

    public void setWxrefundamt(BigDecimal wxrefundamt) {
        this.wxrefundamt = wxrefundamt;
    }

    public BigDecimal getYsfrefundamt() {
        return ysfrefundamt;
    }

    public void setYsfrefundamt(BigDecimal ysfrefundamt) {
        this.ysfrefundamt = ysfrefundamt;
    }

    public Integer getStorenum() {
        return storenum;
    }

    public void setStorenum(Integer storenum) {
        this.storenum = storenum;
    }

    public Integer getMembernum() {
        return membernum;
    }

    public void setMembernum(Integer membernum) {
        this.membernum = membernum;
    }

    public Integer getPromoternum() {
        return promoternum;
    }

    public void setPromoternum(Integer promoternum) {
        this.promoternum = promoternum;
    }

    public BigDecimal getProfitamt() {
        return profitamt;
    }

    public void setProfitamt(BigDecimal profitamt) {
        this.profitamt = profitamt;
    }

    public BigDecimal getShareamt() {
        return shareamt;
    }

    public void setShareamt(BigDecimal shareamt) {
        this.shareamt = shareamt;
    }

    public BigDecimal getFansamt() {
        return fansamt;
    }

    public void setFansamt(BigDecimal fansamt) {
        this.fansamt = fansamt;
    }

    public BigDecimal getActualamt() {
        return actualamt;
    }

    public void setActualamt(BigDecimal actualamt) {
        this.actualamt = actualamt;
    }

    public String getOperatdate() {
        return operatdate;
    }

    public void setOperatdate(String operatdate) {
        this.operatdate = operatdate == null ? null : operatdate.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getOperatemonth() {
        return operatemonth;
    }

    public void setOperatemonth(String operatemonth) {
        this.operatemonth = operatemonth == null ? null : operatemonth.trim();
    }
}